Bug 42315 - Socket poll returns true when socket hasn't contains any data
Summary: Socket poll returns true when socket hasn't contains any data
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: io-layer (show other bugs)
Version: 4.5.X
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-07-01 13:26 UTC by Mikhail Filippov
Modified: 2017-10-11 17:39 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Mikhail Filippov 2016-07-01 13:26:02 UTC
Sometime socket poll returns true when socket not contains any data. I cannot create 100% worked repro but if I check Available after poll I see 0 available bytes.
Comment 1 Mikhail Filippov 2016-07-01 13:28:42 UTC
If I call Receive after that I got
SocketException: Operation on non-blocking socket would block
Comment 2 Rodrigo Kumpera 2016-09-14 01:18:22 UTC
We can't do much based on your description.

We need code that shows the issue or, at least, highlight what exactly you're doing.
Comment 3 Rodrigo Kumpera 2017-10-11 17:39:41 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!